"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DeviceLogger = void 0;
class DeviceLogger {
    constructor(log, device) {
        this.log = log;
        this.logPrefix = `[${device.modelName}-${device.deviceAlias}] `;
    }
    info(message, ...parameters) {
        this.log.info(this.logPrefix + message, ...parameters);
    }
    debug(message, ...parameters) {
        this.log.debug(this.logPrefix + message, ...parameters);
    }
    warn(message, ...parameters) {
        this.log.warn(this.logPrefix + message, ...parameters);
    }
    error(message, ...parameters) {
        this.log.error(this.logPrefix + message, ...parameters);
    }
}
exports.DeviceLogger = DeviceLogger;
